﻿Imports System
Imports System.IO
Imports Wisej.Web

Public Class Window1

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Me.AllowDrop = True
    End Sub

    Private Sub DataGridView1_Signature_DragEnter(sender As Object, e As Wisej.Web.DragEventArgs) Handles DataGridView1.DragEnter
        If (e.Data.GetDataPresent(DataFormats.FileDrop)) Then
            e.Effect = DragDropEffects.Copy
        End If
    End Sub

    'dargdrop upload finished
    Private Sub DataGridView1_Signature_DragDrop(sender As Object, e As Wisej.Web.DragEventArgs) Handles DataGridView1.DragDrop

        UpLoadFiles(CType(e.Data.GetData(DataFormats.Files), HttpFileCollection))

    End Sub

    Private Sub UpLoadFiles(ByVal files As HttpFileCollection)
        Dim uploadFile As String = Nothing
        For i As Integer = 0 To files.Count - 1
            uploadFile = Application.StartupPath + "\uploadedfile\" & files(i).FileName
            SaveFileFromStream(files(i).InputStream, uploadFile)
        Next

        For i As Integer = 0 To files.Count - 1
            files(i).InputStream.Close()
            files(i).InputStream.Dispose()
        Next
    End Sub

    Shared Function SaveFileFromStream(ByVal stream As Stream, ByVal filePath As String) As Boolean
        Dim mem As New MemoryStream()
        Dim file As New FileStream(filePath, FileMode.Create, FileAccess.Write)
        SaveFileFromStream = False

        Try
            stream.CopyTo(mem, 1024)
            mem.Position = 0
            mem.WriteTo(file)

            SaveFileFromStream = True
        Catch ex As Exception
        Finally
            file.Close()
            mem.Close()

            file.Dispose()
            mem.Dispose()
        End Try
    End Function

    'dargdrop upload running. How To?


    'upload finished
    Private Sub Upload1_Uploaded(sender As Object, e As UploadedEventArgs) Handles Upload1.Uploaded
        'uploaded finished

    End Sub

    'upload running
    Private Sub Upload1_Progress(sender As Object, e As UploadProgressEventArgs) Handles Upload1.Progress

        Label2.Text = "Progess: bytes transferred  " + e.Loaded.ToString + " of " + e.Total.ToString
    End Sub
End Class
